
Figure - Bug #112754
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】小窗卡片应用内容显示不完整
2022-10-20 17:53 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-20

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221025.alpha_0039

Reproducibility: Every time Fixed Version: 2022-10-25

Test Type: IT Root cause: 截图时小窗的尺寸不对

Description

【前提条件】

1、设备已开机

2、后台无进程

【测试步骤】

1、打开一个小窗

2、进入任务管理器

3、查看后台进程卡片

【预期结果】

3、小窗卡片内容显示完整(是按一定比例缩放的小窗本身）

【实际结果】

3、小窗卡片页面内容显示不完整

History

#1 - 2022-10-20 18:57 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李蛟

#2 - 2022-10-21 11:03 - CDTS-TEST 周婷

- Target version deleted (VX1_MCE_FSE_V3.0_20221030)

有可能会依赖小窗那边，先内部分析

#3 - 2022-10-21 11:23 - CD APP-李蛟

- File 黑边.png added

■ Current conclusion

获取到的应用快照有黑边

■ My analysis
通过snapshot = ActivityTaskManager.getService().getTaskSnapshot(taskId, isLowResolution);获取快照信息，解析出来的Bitmap有黑边

https://share.thundersoft.com/redmine/attachments/download/69478/%E9%BB%91%E8%BE%B9.png

■ Next action

需要FW分析

#4 - 2022-10-21 11:43 - CD APP-王营

- Assignee changed from CD APP-李蛟 to DL FW-张挽强

请帮忙分析一下这个问题，目前只有打开小窗才会出现带有黑边的快照。

#5 - 2022-10-21 18:29 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

#6 - 2022-10-21 18:36 - DL FW-张挽强

- % Done changed from 100 to 90

研发测确认解决 需要周一验证db

#7 - 2022-10-24 14:16 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 90 to 100

- Fixed Version set to 2022-10-25

- Root cause set to 截图时小窗的尺寸不对

#8 - 2022-10-25 13:46 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221025.alpha_0039

#9 - 2022-10-25 13:46 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2022-11-01 15:35 - CD TEST-方永红

- Parent task changed from #112753 to #111067

Files

小窗卡片.png 101 KB 2022-10-20 CD TEST-方永红

0253.txt 6.89 MB 2022-10-20 CD TEST-方永红

黑边.png 23.4 KB 2022-10-21 CD APP-李蛟
